Bug 1819738 - Support automatically dealing with unavailable options when changing bond mode [rhel-8.2.0.z]
Summary: Support automatically dealing with unavailable options when changing bond mod...
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Red Hat Enterprise Linux 8
Classification: Red Hat
Component: nmstate
Version: 8.2
Hardware: Unspecified
OS: Unspecified
medium
medium
Target Milestone: rc
: 8.0
Assignee: Gris Ge
QA Contact: Mingyu Shi
URL:
Whiteboard:
Depends On: 1812737
Blocks:
TreeView+ depends on / blocked
 
Reported: 2020-04-01 12:18 UTC by RHEL Program Management Team
Modified: 2020-08-24 08:15 UTC (History)
8 users (show)

Fixed In Version: nmstate-0.2.6-13.el8_2
Doc Type: If docs needed, set a value
Doc Text:
Clone Of: 1812737
Environment:
Last Closed: 2020-06-09 23:06:26 UTC
Type: ---
Target Upstream Version:


Attachments (Terms of Use)
verified.log (6.19 KB, text/plain)
2020-04-23 02:49 UTC, Mingyu Shi
no flags Details


Links
System ID Priority Status Summary Last Updated
Github nmstate nmstate pull 1010 None closed [nmstate-0.2] bond: Don't merge bond options when bond mode changed 2020-08-24 08:14:56 UTC
Red Hat Product Errata RHBA-2020:2451 None None None 2020-06-09 23:06:31 UTC

Comment 8 Mingyu Shi 2020-04-23 02:46:55 UTC
Verified with:
nmstate-0.2.6-13.el8_2.noarch
NetworkManager-1.22.8-4.el8.x86_64
DISTRO=RHEL-8.2.0-20200415.n.0
Linux hp-dl380pg8-07.rhts.eng.pek2.redhat.com 4.18.0-193.el8.x86_64 #1 SMP Fri Mar 27 14:35:58 UTC 2020 x86_64 x86_64 x86_64 GNU/Linux

When changing mode, all the in-disk configs will be removed (unless they are explicitly configured)

Comment 9 Mingyu Shi 2020-04-23 02:49:47 UTC
Created attachment 1681008 [details]
verified.log

Comment 11 errata-xmlrpc 2020-06-09 23:06:26 UTC
Since the problem described in this bug report should be
resolved in a recent advisory, it has been closed with a
resolution of ERRATA.

For information on the advisory, and where to find the updated
files, follow the link below.

If the solution does not work for you, open a new bug report.

https://access.redhat.com/errata/RHBA-2020:2451


Note You need to log in before you can comment on or make changes to this bug.